import { defineStore } from "pinia";
import { ref } from "vue";

import type { DataOption } from "@/modules/04_registryPerson/interface/index/Main";

export const useSalaryDataStore = defineStore("salatyDataStore", () => {
  //  commandCode ขอตำแหน่ง
  const salaryCode = ref<number[]>([5, 6, 7, 19]);

  const commandCodeData = ref<DataOption[]>([]);
  const posTypeData = ref<DataOption[]>([]); //รายการประเภทตำแหน่ง | กลุ่มงาน
  const posLevelData = ref<DataOption[]>([]); //รายการระดับตำแหน่ง | ระดับชั้นงาน
  const posLineData = ref<DataOption[]>([]); //รายการสายงาน
  const posPathSideData = ref<DataOption[]>([]); //รายการด้าน/สาขา
  const posExecutiveData = ref<DataOption[]>([]); //รายการตำแหน่งทางการบริหาร

  function convertCommandCodeName(val: string) {
    return (
      commandCodeData.value.find((e: DataOption) => e.id === val)?.name ?? "-"
    );
  }

  return {
    // Data
    salaryCode,
    commandCodeData,
    posTypeData,
    posLevelData,
    posLineData,
    posPathSideData,
    posExecutiveData,

    // Function
    convertCommandCodeName,
  };
});
